
Redmine - Feature #24636

All issues private - Setting by project

2016-12-17 03:34 - sachin jain

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

We have some projects which require the issues to be private, and others where it is desirable to have the issues public.

Is this something we can configure currently?(Redmine 3.3.1.stable)?

If not, what's the best way to implement this?

Thanks!!

Related issues:

Is duplicate of Redmine - Feature #9432: Default value for the private issue ... New 2011-10-17

History

#1 - 2016-12-17 05:37 - sachin jain

We have some projects which require all the issues to be opened up as private, and others where it is desirable to have the issues public.

We are looking for a project level configuration which will allow us to mark this as we are configuring new projects.

A further enhancement will be to have a three state switch:

Only private issues

New issues are private by default, by the reporter can change at start, or later to public

Issues are public to begin with.

#2 - 2016-12-18 09:37 - Go MAEDA

- Is duplicate of Feature #9432: Default value for the private issue flag added

#3 - 2016-12-18 09:38 - Go MAEDA

- Tracker changed from Defect to Feature

- Resolution set to Duplicate

Closing as a duplicagte of #9432.

Thank you for your suggestion of the feature.

#4 - 2016-12-18 09:39 - Go MAEDA

- Status changed from New to Closed

#5 - 2016-12-19 17:07 - sachin jain

- Status changed from Closed to Reopened

Duplicates Feature #9432: Default value for the private issue flag added

Feature #9432 controls the privacy via tracker configuration. Can the same be extended to work for the whole project?

Thanks.

#6 - 2017-01-15 05:11 - Toshi MARUYAMA

- Status changed from Reopened to Closed
#9432 description:

It would be useful to have the possibility, to set the default value for the "private issues"-flag for each project.
